### Method

# Tsparql SparqlCursor get_n_columns

#### Declaration [src]

    gint
    tracker_sparql_cursor_get_n_columns (
      TrackerSparqlCursor* cursor
    )

#### Description [src]

Retrieves the number of columns available in the result set.

This method should only be called after a successful `tracker_sparql_cursor_next()`, otherwise its return value will be undefined.

Gets property | `Tsparql.SparqlCursor:n-columns`

#### Return value

Type: `gint`

The number of columns returned in the result set.